modular {
    //模块包名
    packageName "com.yidianling.im"
    // 模块发布需要的参数
    publish {
        modules {
            xlzx {
                groupId = "com.ydl"
                artifactId = "m-im-module-xlzx"
                // 上报的 心理咨询 业务模块 aar 包的版本号
                version = rootProject.ext.ydlPublishVersion[childProject.getName()]
            }

            ydl{
                groupId = "com.ydl"
                artifactId = "m-im-module-ydl"
                // 上报的 壹点灵 业务模块 aar 包的版本号
                version = rootProject.ext.ydlPublishVersion[childProject.getName()]
            }
        }

        api {
            //壹点灵/心理咨询 业务模块 API层 jar包的发布信息
            groupId = "com.ydl"
            artifactId = "m-im-api"
            //开发时注释掉版本号，发布api时打开
            version = rootProject.ext.ydlPublishVersion[childProject.getName()+"-api"]
            // API 层打包时需要引入的依赖
            apiDependencies {
                implementation "com.google.code.gson:gson:2.8.2"
                implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
                implementation 'com.alibaba:arouter-api:1.4.1'
            }
        }
    }
}